Summary:	Record, playback and watch TV.
Name:		MythTV
Version:	0.19
Release:	4
Group:		Libraries
Copyright:	LGPL
URL:		http://www.mythtv.org/
Source0:        mythtv-%{version}.tar.bz2
Source1:	mythplugins-%{version}.tar.bz2
Source2:	myththemes-%{version}.tar.bz2
Source3:	%{name}.desktop
Source4:        %{name}-front.desktop
Source5:        %{name}-setup.desktop
Patch0:		%{name}.diff
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	libirman-devel lirc-devel libraw1394-devel libiec61883-devel libavc1394-devel kdelibs kdebase qt-devel

%description
Record, playback and watch TV. See: http://www.mythtv.org/ for all
the magnificent addons and features.

1. After building MythTV - run:

a) mysql < /usr/share/mythtv/database/mc.sql
b) mythbackend -d

2. Setting up MythTV - run:

c) mythtv-setup
d) mythfilldatabase / mythbackend -d
e) mythfrontend / mythtv

3. XMLTV no longer supported - Zap2It DataDirect is now supported.

a) If you wish to use Zap2It DataDirect, you'll need to establish a user account.
   Go to http://labs.zap2it.com and click on the "New User? Sign Up" link. Read
   the license terms, and if you agree with them click "Accept". The next screen
   is the subscription registration. In the "Certificate Code" field, enter ZIYN-DQZO-SBUT.

   Fill in the survey, then proceed to the lineup choices and configure your
   account for your particular location and the channels that you have. This
   configuration will be imported into MythTV when you first run the setup program.

    Note: Canadian and U.S. postal codes only work as of rite now with Zap2It DataDirect.

4. For a Backend Box - this box or another.

a) You might want to add "mythbackend -d" after installation and setup,
   to any start-up script, e.g. /etc/rc.d/rc.local; is a good choice.


Some tips and commands:

NOTE: Users that have been running the frontend and the backend on
different machines have stated that they have been having issues
with remote access to the MySQL database. The following instructions
may or may not work. Add the following to /etc/my.cnf on the backend
machine and restart MySQL.

skip-innodb
set-variable=thread_stack=256k

re-run the setup program:

$ mythtv-setup

# Basic Settings
Compile type     release
Compiler cache   no
DistCC           no
Install prefix   usr
CPU              x86 (i486)
Big Endian       no
MMX enabled      no
Vector Builtins  yes

# Input Support
Joystick menu    yes
lirc support     yes
Video4Linux sup. yes
ivtv support     yes
FireWire support yes
DVB support      yes [/usr/include]
DBox2 support    yes

# Sound Output Support
OSS support      yes
ALSA support     yes
aRts support     no
JACK support     yes
DTS passthrough  no

# Video Output Support
x11 support      yes
xrandr support   yes
xv support       yes
XvMC support     no
XvMC VLD support no
XvMC pro support no
XvMC libs        
OpenGL vsync     no
DirectFB         no

# Misc Features
DVD playback     no
Frontend         yes
Backend          yes

%package 	devel
Summary: 	Development
Group: 		Development

%description 	devel
%{name}

%prep
%setup -q -n mythtv-%{version} -a 1 -a 2
%patch0 -p0

%build
configure \
    --prefix=usr \
    --cpu=i486 \
    --tune=i486 \
    --arch=i486 \
    --enable-dvd \
    --enable-dvb \
    --enable-dvb-eit \
    --enable-proc-opt \
    --enable-firewire
qmake ./mythtv.pro
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make INSTALL_ROOT=$RPM_BUILD_ROOT/ install
cp -R database $RPM_BUILD_ROOT/usr/share/mythtv/
mkdir -p $RPM_BUILD_ROOT/mnt/store
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Multimedia/MythTV
cp %{SOURCE3} %{SOURCE4} %{SOURCE5} $RPM_BUILD_ROOT/usr/share/peanut/apps/Multimedia/MythTV

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
# If the mythtv user/group don't exist, add them:
if ! grep -q mythtv /etc/group; then
        groupadd mythtv
fi
if ! grep -q mythtv /etc/passwd; then
	useradd -g mythtv -c "mythtv" -d /var/empty -s /bin/false mythtv
fi

%post
mysql < /usr/share/mythtv/database/mc.sql

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/mythtv
%{_bindir}
%{_datadir}
/mnt

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_includedir}
